> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Appointments Breakdown Group Summaries

> Get summary statistics for each group in the appointment breakdown.



## OpenAPI

````yaml get /analytics/dashboards/appointments-breakdown/appointments-breakdown-group-summaries
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/appointments-breakdown/appointments-breakdown-group-summaries:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Appointments Breakdown Group Summaries
      description: Get summary statistics for each group in the appointment breakdown.
      operationId: >-
        get_appointments_breakdown_group_summaries_analytics_dashboards_appointments_breakdown_appointments_breakdown_group_summaries_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: group_by
          in: query
          required: true
          schema:
            enum:
              - service
              - status
              - provider
              - scheduling_type
              - location
              - start_date
              - week
              - month
            type: string
            title: Group By
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            description: Timezone for date grouping (e.g., 'America/New_York', 'UTC')
            title: Timezone
          description: Timezone for date grouping (e.g., 'America/New_York', 'UTC')
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            default: start_date
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Sort Direction
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: location_names
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Names
        - name: provider_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Provider Ids
        - name: patient_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Patient Ids
        - name: service_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Service Ids
        - name: service_names
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Service Names
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Statuses
        - name: scheduling_types
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Scheduling Types
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/decoda__schemas__analytics__appointments_breakdown__GroupSummary
                title: >-
                  Response Get Appointments Breakdown Group Summaries Analytics
                  Dashboards Appointments Breakdown Appointments Breakdown Group
                  Summaries Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    decoda__schemas__analytics__appointments_breakdown__GroupSummary:
      properties:
        groupKey:
          type: string
          title: Groupkey
          description: The group key this summary belongs to
        totalAppointments:
          type: integer
          title: Totalappointments
          description: Total number of appointments in this group
        uniquePatients:
          type: integer
          title: Uniquepatients
          description: Number of unique patients
        uniqueProviders:
          type: integer
          title: Uniqueproviders
          description: Number of unique providers
        uniqueLocations:
          type: integer
          title: Uniquelocations
          description: Number of unique locations
        uniqueServices:
          type: integer
          title: Uniqueservices
          description: Number of unique services
      type: object
      required:
        - groupKey
        - totalAppointments
        - uniquePatients
        - uniqueProviders
        - uniqueLocations
        - uniqueServices
      title: GroupSummary
      description: Summary statistics for a specific group.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````